@echo off
REM This script performs remapping of netcdf data based on cdo

echo This script performs remapping of netcdf data based on cdo
echo ! To be able to use this script !
echo a "grids"-Directory under AuxiliaryData including grids is necessary!

PAUSE

REM Select the product heres
echo Select the product (e.g., SIS)
set /p product=

set type=DEFAULT
REM Is this in Products or DataSets?
echo Is this a Product or a DataSet? (Type "P" for Product or "D" for Dataset)
echo (Information required to generate the directory name)
set /p typein=
set typein=%typein: =%
if /I %typein% EQU P (set type=Products)
if /I %typein% EQU D (set type=Datasets)
if /I %type% EQU DEFAULT (
echo Error: please type "P" or "D" 
pause
exit
)


REM Select the input file
echo Select the name of the input file (no file extension)
set /p Datafile=

REM Select the desired grid
echo Select the desired grid (EuropeLonLatGrid1deg, EuropeLonLatGrid02deg, MSGLonLatGrid1deg, GlobalLonLatGrid1deg, NPole.nc)
set /p Gridfile= 

REM Select the Operator for statistical computing (ie ymonmean, ymonmax etc.)
REM timmean: temporal averaging
REM ymonmean: Multiyear-monthly average
echo Select the method ("b","c" or "n") to remap the data (b=remapbil, c=remapcon, n=remapnn)
echo IMPORTANT! for NPole-grid choose "b"
set /p typein2=
if /I %typein2% EQU b (set Operator=remapbil)
if /I %typein2% EQU c (set Operator=remapcon)
if /I %typein2% EQU n (set Operator=remapnn)

REM Select output filename
echo Select the name of the output file (no file extension)
set /p Outfile=

REM Remove blanks
set product=%product: =%
set Datafile=%Datafile: =%
set type=%type: =%

REM Set the working directories
set datadir=..\..\Data\%type%\%product%\
cd %datadir%

set griddir=..\..\AuxiliaryData\grids\%Gridfile%

cdo %Operator%,%griddir% %Datafile%.nc %Outfile%.nc 

echo Processing finished!

PAUSE